- [HTTP request](https://docs.cloud.google.com/gemini/enterprise/docs/reference/rest/v1alpha/billingAccounts.billingAccountLicenseConfigs/list#body.HTTP_TEMPLATE)
- [Path parameters](https://docs.cloud.google.com/gemini/enterprise/docs/reference/rest/v1alpha/billingAccounts.billingAccountLicenseConfigs/list#body.PATH_PARAMETERS)
- [Query parameters](https://docs.cloud.google.com/gemini/enterprise/docs/reference/rest/v1alpha/billingAccounts.billingAccountLicenseConfigs/list#body.QUERY_PARAMETERS)
- [Request body](https://docs.cloud.google.com/gemini/enterprise/docs/reference/rest/v1alpha/billingAccounts.billingAccountLicenseConfigs/list#body.request_body)
- [Response body](https://docs.cloud.google.com/gemini/enterprise/docs/reference/rest/v1alpha/billingAccounts.billingAccountLicenseConfigs/list#body.response_body)
  - [JSON representation](https://docs.cloud.google.com/gemini/enterprise/docs/reference/rest/v1alpha/billingAccounts.billingAccountLicenseConfigs/list#body.ListBillingAccountLicenseConfigsResponse.SCHEMA_REPRESENTATION)
- [Authorization scopes](https://docs.cloud.google.com/gemini/enterprise/docs/reference/rest/v1alpha/billingAccounts.billingAccountLicenseConfigs/list#body.aspect)
- [IAM Permissions](https://docs.cloud.google.com/gemini/enterprise/docs/reference/rest/v1alpha/billingAccounts.billingAccountLicenseConfigs/list#body.aspect_1)

Lists all `https://docs.cloud.google.com/gemini/enterprise/docs/reference/rest/v1alpha/billingAccounts.billingAccountLicenseConfigs#BillingAccountLicenseConfig`s for a given billing account.

### HTTP request

Choose an endpoint:
global us   
`GET https://discoveryengine.googleapis.com/v1alpha/{parent=billingAccounts/*}/billingAccountLicenseConfigs`

<br />

The URLs use [gRPC Transcoding](https://google.aip.dev/127) syntax.

### Path parameters

| Parameters ||
|---|---|
| `parent` | `string` Required. Format: `billingAccounts/{billingAccount}`. |

### Query parameters

| Parameters ||
|---|---|
| `pageSize` | `integer` Optional. Not supported. |
| `pageToken` | `string` Optional. Not supported. |

### Request body

The request body must be empty.

### Response body

Response message for `https://docs.cloud.google.com/gemini/enterprise/docs/reference/rest/v1alpha/billingAccounts.billingAccountLicenseConfigs/list#google.cloud.discoveryengine.v1alpha.LicenseConfigService.ListBillingAccountLicenseConfigs` method.

If successful, the response body contains data with the following structure:

| JSON representation |
|---|
| ``` { "billingAccountLicenseConfigs": [ { object (`https://docs.cloud.google.com/gemini/enterprise/docs/reference/rest/v1alpha/billingAccounts.billingAccountLicenseConfigs#BillingAccountLicenseConfig`) } ], "nextPageToken": string } ``` |

| Fields ||
|---|---|
| `billingAccountLicenseConfigs[]` | ``object (`https://docs.cloud.google.com/gemini/enterprise/docs/reference/rest/v1alpha/billingAccounts.billingAccountLicenseConfigs#BillingAccountLicenseConfig`)`` All `https://docs.cloud.google.com/gemini/enterprise/docs/reference/rest/v1alpha/billingAccounts.billingAccountLicenseConfigs#BillingAccountLicenseConfig`s for the given billing account. |
| `nextPageToken` | `string` A token that can be sent as `https://docs.cloud.google.com/gemini/enterprise/docs/reference/rest/v1alpha/billingAccounts.billingAccountLicenseConfigs/list#body.QUERY_PARAMETERS.page_token` to retrieve the next page. If this field is omitted, there are no subsequent pages. |

### Authorization scopes

Requires one of the following OAuth scopes:

- `https://www.googleapis.com/auth/cloud-platform`
- `https://www.googleapis.com/auth/discoveryengine.readwrite`
- `https://www.googleapis.com/auth/discoveryengine.serving.readwrite`

For more information, see the [Authentication Overview](https://docs.cloud.google.com/docs/authentication#authorization-gcp).

### IAM Permissions

Requires the following [IAM](https://cloud.google.com/iam/docs) permission on the `parent` resource:

- `discoveryengine.billingAccountLicenseConfigs.list`

For more information, see the [IAM documentation](https://cloud.google.com/iam/docs).